<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [SnapshotOptions](./puppeteer.snapshotoptions.md)

## SnapshotOptions interface


<b>Signature:</b>

```typescript
export interface SnapshotOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [interestingOnly](./puppeteer.snapshotoptions.interestingonly.md) | boolean | Prune unintersting nodes from the tree. |
|  [root](./puppeteer.snapshotoptions.root.md) | [ElementHandle](./puppeteer.elementhandle.md) | Prune unintersting nodes from the tree. |

